# `angular.noConflict` (API in module `ng` )

Improve this doc

## Description

Restores the previous global value of angular and returns the current instance. Other libraries may already use the angular namespace. Or a previous version of angular is already loaded on the page. In these cases you may want to restore the previous namespace and keep a reference to angular.

## Usage

    angular.noConflict();

### Returns

`{Object}` –

The current angular namespace